autoweka

## Class ConfigurationCollection

- java.lang.Object
- - autoweka.XmlSerializable
  - - autoweka.ConfigurationCollection

-     public class ConfigurationCollection
      extends XmlSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationCollection()`
    `ConfigurationCollection(java.util.ArrayList<Configuration> aConfigurations)`
    `ConfigurationCollection(java.util.List<Configuration> aConfigurations)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Configuration c)`
    `java.util.ArrayList<Configuration>` | `asArrayList()`
    `static <T extends XmlSerializable> T` | `fromXML(java.lang.String filename, java.lang.Class<T> c)`
    `Configuration` | `get(int i)`
    `int` | `getFullyEvaluatedAmt()`
    `int` | `size()`

    - ### Methods inherited from class autoweka.XmlSerializable

      `fromXML, populateObjectFromCMDParams, populateObjectFromCMDParams, toXML, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationCollection

          public ConfigurationCollection()

    - #### ConfigurationCollection

          public ConfigurationCollection(java.util.List<Configuration> aConfigurations)

    - #### ConfigurationCollection

          public ConfigurationCollection(java.util.ArrayList<Configuration> aConfigurations)

  - ### Method Detail

    - #### add

          public void add(Configuration c)

    - #### get

          public Configuration get(int i)

    - #### size

          public int size()

    - #### getFullyEvaluatedAmt

          public int getFullyEvaluatedAmt()

    - #### asArrayList

          public java.util.ArrayList<Configuration> asArrayList()

    - #### fromXML

          public static <T extends XmlSerializable> T fromXML(java.lang.String filename,
                                                              java.lang.Class<T> c)